Subject: bug#78221: 31.0.50; Improving *-change-functions notifications

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 May 2025 23:09:30 -0400

>>> - org-display-custom-time
>> AFAICT this is called exclusively from font-lock, so
>> `inhibit-modifications-hooks` should always be set already.
> I was close. `org-toggle-timestamp-overlays' (just above).

I see.  I think this one would definitely benefit from a bit of
`with-silent-modifications` (currently, I suspect that a sequence like
open a file + call `org-toggle-timestamp-overlays` + call `undo` can
result in the `buffer-modified-p` flag being unwittingly set, and maybe
also the timestamp "overlays" may have reappeared).

Then again, I suspect this code needs to be moved to
`org-remove-font-lock-display-properties` anyway, otherwise the
`display` property might "stick" even after the user modifies the text
into something that's not a timestamp any more.

        Stefan